## pgloader 2.3.2

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $Id: Makefile,v 1.18 2008/03/10 15:29:45 dim Exp $
+# $Id: Makefile,v 1.19 2008/06/03 12:58:14 dim Exp $
 #
 # Makefile for debian packaging purpose, make install not intended to work.
