## pgloader 2.3.3~dev3

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $Id: Makefile,v 1.19 2008/06/03 12:58:14 dim Exp $
+# $Id: Makefile,v 1.19 2008-06-03 12:58:14 dim Exp $
 #
 # Makefile for debian packaging purpose, make install not intended to work.
 
@@ -20,7 +20,8 @@
 libs = $(wildcard pgloader/*.py)
 refm = $(wildcard reformat/*.py)
 
-DEBDIR = /tmp/pgloader
+TMPDIR?= /tmp
+DEBDIR = $(TMPDIR)/pgloader
 EXPORT = $(DEBDIR)/export/pgloader-$(VERSION)
 ORIG   = $(DEBDIR)/export/pgloader_$(VERSION).orig.tar.gz
 ARCHIVE= $(DEBDIR)/export/pgloader-$(VERSION).tar.gz
@@ -58,12 +59,12 @@
 clean:
 	rm -f *.xml *.html *.1 *~
 
-deb:
+prepare-deb:
 	# working copy from where to make the .orig archive
 	rm -rf $(DEBDIR)	
 	mkdir -p $(DEBDIR)/pgloader-$(VERSION)
 	mkdir -p $(EXPORT)
-	cp -a . $(EXPORT)
+	rsync -Ca . $(EXPORT)
 
 	# get rid of temp and build files
 	for n in ".#*" "*~" "*.pyc" "build-stamp" "configure-stamp" "parallel.o*"; do \
@@ -71,21 +72,25 @@
 	  find $(EXPORT) -name "$$n" -print0|xargs -0 rm -f; \
 	done
 
-	# get rid of CVS dirs
-	for n in "CVS" "CVSROOT"; do \
-	  find $(EXPORT) -type d -name "$$n" -print0|xargs -0 rm -rf; \
-	  find $(EXPORT) -type d -name "$$n" -print0|xargs -0 rm -rf; \
-	done
-
 	# prepare the .orig without the debian/ packaging stuff
-	cp -a $(EXPORT) $(DEBDIR)
+	rsync -Ca $(EXPORT) $(DEBDIR)
 	rm -rf $(DEBDIR)/pgloader-$(VERSION)/debian
 	(cd $(DEBDIR) && tar czf $(ORIG) pgloader-$(VERSION))
 
 	# have a copy of the $ORIG file named $ARCHIVE for non-debian packagers
 	cp $(ORIG) $(ARCHIVE)
 
-	# build the debian package and copy them to ..
+debuild:
 	(cd $(EXPORT) && debuild)
+
+debuild-unsign:
+	(cd $(EXPORT) && debuild -us -uc)
+
+copy-package:
 	cp -a $(DEBDIR)/export/pgloader[_-]$(VERSION)* ..
 	cp -a $(ARCHIVE) ..
+
+deb: prepare-deb debuild copy-package
+
+deb-unsign: prepare-deb debuild-unsign copy-package
+
