=== debian/changelog ===
pgloader (3.1.0+dfsg-2) unstable; urgency=medium

  * Fix building on i386 machines, using 1GB of dynamic space there.

 -- Dimitri Fontaine <dim@tapoueh.org>  Mon, 22 Sep 2014 23:04:18 +0400

pgloader (3.1.0+dfsg-1) unstable; urgency=medium

  * Stable release of the new pgloader version, 3.1

 -- Dimitri Fontaine <dim@tapoueh.org>  Wed, 10 Sep 2014 16:48:11 +0400

pgloader (3.0.99-1) unstable; urgency=medium

  * Release Candidate 9
  * Can be built against either CCL or SBCL
  * Lots of bug fixes
  * Smarted batch memory usage

 -- Dimitri Fontaine <dim@tapoueh.org>  Tue, 29 Apr 2014 13:50:26 +0400

pgloader (3.0.98-1) unstable; urgency=low

  * Release Candidate 8
  * Fixes retry behavior
  * Assorted fixes

 -- Dimitri Fontaine <dim@tapoueh.org>  Thu, 23 Jan 2014 03:19:07 +0400

pgloader (3.0.97-1) unstable; urgency=low

  * Release Candidate 7
  * Fix log-filename location
  * Switch to the new cl-csv version
  * Add a documentation website with tutorials
  * Fix ASDF dependencies

 -- Dimitri Fontaine <dim@tapoueh.org>  Thu, 15 Jan 2014 01:33:16 +0400

pgloader (3.0.96-1) unstable; urgency=low

  * Release Candidate 6
  * Document then rework the batch retry behavior.
  * Various bug fixes, including CCL compatibility.
  
 -- Dimitri Fontaine <dim@tapoueh.org>  Fri, 27 Dec 2013 15:11:02 +0400

pgloader (3.0.95-1) unstable; urgency=low

  * Release Candidate 5.
  * Minimize memory usage, bug fixes.

 -- Dimitri Fontaine <dim@tapoueh.org>  Wed, 18 Dec 2013 23:32:33 +0100

pgloader (3.0.94-1) unstable; urgency=low

  * Release Candidate 4.

 -- Dimitri Fontaine <dim@tapoueh.org>  Mon, 09 Dec 2013 14:58:51 +0400

pgloader (2.3.3~dev3-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Don't hardcode dependency on python-support, use ${python:Depends}
    (closes: #542052). Thanks to Faheem Mitha for the bug report.

 -- Jakub Wilk <jwilk@debian.org>  Fri, 06 Jan 2012 02:19:25 +0100

pgloader (2.3.3~dev3-1) unstable; urgency=low

  * Implement -f --field-sep to overwrite the default from command line
  * Add support for filename arguments, which use defaults
  * Implement --reject-log and --reject-data
  * Add support for --max-parallel-sections and --section-threads
  * Support setting any PG option (-o and config file)
  * Have --debug show a traceback
  * Fix a bug where pgloader would freeze on early error (no such file)
  * Implement an option to set csv field size limit
  * Implement --load-from-stdin
  * Implement --boundaries
  * use gettempdir() rather than hard-coded "/tmp"
  * Handle C-c the default system's way
  * Fix pgloader thread error management
  * Fix exit status to be non-zero in case of known errors

 -- Dimitri Fontaine <dim@tapoueh.org>  Tue, 09 Nov 2010 16:10:01 +0100

pgloader (2.3.2-1) unstable; urgency=low

  * Implement --from support in all readers (Closes: #531034)
  * Use psycopg cursor.copy_expert() when available (> 2.0.6)
  * FIX fixedreader: it now know about -C
  * FIX Round Robin Reader with respect to offsets in readlines()
  * support python 2.3 if not using RRR (not importing collections.deque)
  * change logger initialisation to support python 2.3
  * FIX bad usage of STDERR in the code
  * Implement skip_head_lines option in configuration (superseded by -F)
  * Do not sort() section list when it's been given on command line
  * Catch InterfaceError when trying to close connection

 -- Dimitri Fontaine <dim@tapoueh.org>  Mon, 29 Jun 2009 09:39:33 +0200

pgloader (2.3.1-2) unstable; urgency=low

  * FIX Missing Build-Depends (Closes: #485067)

 -- Dimitri Fontaine <dim@tapoueh.org>  Mon, 09 Jun 2008 15:23:56 +0200

pgloader (2.3.1-1) unstable; urgency=low

  * FIX: Add database opening into critical path (BoundedSemaphore)
  * FIX: close database connection as soon as possible
  * Add support for fixed format
  * Add support for escaped field_sep, such as \t

 -- Dimitri Fontaine <dim@tapoueh.org>  Wed, 21 May 2008 12:19:42 +0200

pgloader (2.3.0-1) unstable; urgency=low

  * FIX the cluttered test case, see BUGS.txt
  * Better release it as stable now and fix bugs when found than wait for
    more testing of the ~dev release candidates.

 -- Dimitri Fontaine <dim@tapoueh.org>  Mon, 10 Mar 2008 15:36:04 +0100

pgloader (2.3.0~dev3-1) experimental; urgency=low

  * Add options for forcing psycopg version to use (-1, -2, --psycopg-version)

 -- Dimitri Fontaine <dim@tapoueh.org>  Wed, 27 Feb 2008 12:54:46 +0100

pgloader (2.3.0~dev2-1) experimental; urgency=low

  * columns = * is now supported

 -- Dimitri Fontaine <dim@tapoueh.org>  Mon, 25 Feb 2008 14:58:46 +0100

pgloader (2.3.0~dev-1) unstable; urgency=low

  * Mutli-threaded pgloader (see options max_parallel_sections,
                             section_threads and split_file_reading)
  * FIX for -C and -I options (replace sys.log with self.log), per user request

 -- Dimitri Fontaine <dim@tapoueh.org>  Mon, 11 Feb 2008 15:04:40 +0100

pgloader (2.2.6-1) unstable; urgency=low

  * pgloader -V now VACUUM each table separately, no more vacuumdb issued
  * New option -D to DISABLE Triggers while loading (ENABLE them one done)

 -- Dimitri Fontaine <dim@tapoueh.org>  Fri, 01 Feb 2008 11:01:34 +0100

pgloader (2.2.5-1) unstable; urgency=low

  * Now using proper python logging module
  * New client_min_messages, log_min_messages, log_file and lc_messages options
  * Better reporting of DatabaseError (pkey violation, e.g.)
  * Have logging of error data work again in all cases (DatabaseError)
  * Protect some more settings from begin overwritten when using templates

 -- Dimitri Fontaine <dim@tapoueh.org>  Fri, 07 Dec 2007 23:24:58 +0100

pgloader (2.2.5~dev-1) unstable; urgency=low

  * Configuration now supports templates
  * Command line option for setting --reformat_path, -R
  * Upload to Debian (Closes: #453434)

 -- Dimitri Fontaine <dim@tapoueh.org>  Mon, 26 Nov 2007 21:53:11 +0100

pgloader (2.2.4) unstable; urgency=low

  * Reformat modules to change input on-the-fly

