## pgloader 3.2.0+dfsg

=== Makefile ===
--- 
+++ 
@@ -1,12 +1,18 @@
 # pgloader build tool
 APP_NAME   = pgloader
-VERSION    = 3.1.0
+VERSION    = 3.2.0
 
 # use either sbcl or ccl
 CL	   = sbcl
 
-LISP_SRC   = $(wildcard src/*lisp) \
-             $(wildcard src/pgsql/*lisp) \
+# default to 4096 MB of RAM size in the image
+DYNSIZE    = 4096
+
+LISP_SRC   = $(wildcard src/*lisp)         \
+             $(wildcard src/monkey/*lisp)  \
+             $(wildcard src/utils/*lisp)   \
+             $(wildcard src/parsers/*lisp) \
+             $(wildcard src/pgsql/*lisp)   \
              $(wildcard src/sources/*lisp) \
              pgloader.asd
 
@@ -15,10 +21,18 @@
 QLDIR      = $(BUILDDIR)/quicklisp
 MANIFEST   = $(BUILDDIR)/manifest.ql
 LATEST     = $(BUILDDIR)/pgloader-latest.tgz
-PGLOADER   = $(BUILDDIR)/bin/$(APP_NAME)
-
-BUILDAPP_CCL  = $(BUILDDIR)/bin/buildapp.ccl
-BUILDAPP_SBCL = $(BUILDDIR)/bin/buildapp.sbcl
+
+ifeq ($(OS),Windows_NT)
+EXE           = .exe
+COMPRESS_CORE = no
+DYNSIZE       = 1024		# support for windows 32 bits
+else
+EXE =
+endif
+
+PGLOADER   = $(BUILDDIR)/bin/$(APP_NAME)$(EXE)
+BUILDAPP_CCL  = $(BUILDDIR)/bin/buildapp.ccl$(EXE)
+BUILDAPP_SBCL = $(BUILDDIR)/bin/buildapp.sbcl$(EXE)
 
 ifeq ($(CL),sbcl)
 BUILDAPP   = $(BUILDAPP_SBCL)
@@ -54,8 +68,17 @@
 docs:
 	ronn -roff pgloader.1.md
 
+$(QLDIR)/local-projects/qmynd:
+	git clone https://github.com/qitab/qmynd.git $@
+
 $(QLDIR)/local-projects/cl-ixf:
 	git clone https://github.com/dimitri/cl-ixf.git $@
+
+$(QLDIR)/local-projects/cl-csv:
+	git clone https://github.com/AccelerationNet/cl-csv.git $@
+
+$(QLDIR)/local-projects/esrap:
+	git clone -b wip-better-errors https://github.com/scymtym/esrap.git $@
 
 $(QLDIR)/setup.lisp:
 	mkdir -p $(BUILDDIR)
@@ -66,7 +89,12 @@
 
 quicklisp: $(QLDIR)/setup.lisp ;
 
-$(LIBS): $(QLDIR)/setup.lisp $(QLDIR)/local-projects/cl-ixf
+clones: $(QLDIR)/local-projects/cl-ixf \
+        $(QLDIR)/local-projects/cl-csv \
+        $(QLDIR)/local-projects/qmynd  \
+        $(QLDIR)/local-projects/esrap ;
+
+$(LIBS): $(QLDIR)/setup.lisp clones
 	$(CL) $(CL_OPTS) --load $(QLDIR)/setup.lisp                 \
              --eval '(push "$(PWD)/" asdf:*central-registry*)'      \
              --eval '(ql:quickload "pgloader")'                     \
@@ -111,9 +139,11 @@
                          --load-system $(APP_NAME)               \
                          --load src/hooks.lisp                   \
                          --entry pgloader:main                   \
-                         --dynamic-space-size 4096               \
+                         --dynamic-space-size $(DYNSIZE)         \
                          $(COMPRESS_CORE_OPT)                    \
-                         --output $@
+                         --output $@.tmp
+	# that's ugly, but necessary when building on Windows :(
+	mv $@.tmp $@
 
 pgloader: $(PGLOADER) ;
 
@@ -123,7 +153,7 @@
                        --require sb-rotate-byte                \
                        --load-system pgloader                  \
                        --entry pgloader:main                   \
-                       --dynamic-space-size 4096               \
+                       --dynamic-space-size $(DYNSIZE)         \
                        --compress-core                         \
                        --output $(PGLOADER)
