=== debian/changelog ===
pgloader (3.2.0+dfsg-1) unstable; urgency=medium

  * Implement COPY files support
  * Implement MS SQL source database support
  * Lots of bug fixes
  * Full command line operations support
  * Misc improvements, cleanup, refactoring

 -- Dimitri Fontaine <dim@tapoueh.org>  Thu, 15 Jan 2015 19:51:02 +0300

pgloader (3.1.1+dfsg-1) unstable; urgency=medium

  * Fix --root-dir option when target directory doesn't exists (Closes:#767288)
  * New release, lots of bugfixes
  * Add support for CAST rules for SQLite
  * Code refactoring
  * New file based sources filters and options
  
 -- Dimitri Fontaine <dim@tapoueh.org>  Mon, 03 Nov 2014 16:08:19 +0300

pgloader (3.1.0+dfsg-3) unstable; urgency=medium

  * Fix build dependencies problems, see Bug#765162

 -- Dimitri Fontaine <dim@tapoueh.org>  Tue, 28 Oct 2014 12:41:23 +0300
