## pgloader 3.3.1+dfsg

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # pgloader build tool
 APP_NAME   = pgloader
-VERSION    = 3.2.2
+VERSION    = 3.3.1
 
 # use either sbcl or ccl
 CL	   = sbcl
@@ -21,6 +21,9 @@
 QLDIR      = $(BUILDDIR)/quicklisp
 MANIFEST   = $(BUILDDIR)/manifest.ql
 LATEST     = $(BUILDDIR)/pgloader-latest.tgz
+BUNDLENAME = pgloader-bundle-$(VERSION)
+BUNDLEDIR  = $(BUILDDIR)/bundle/$(BUNDLENAME)
+BUNDLE     = $(BUILDDIR)/$(BUNDLENAME).tgz
 
 ifeq ($(OS),Windows_NT)
 EXE           = .exe
@@ -35,27 +38,26 @@
 BUILDAPP_SBCL = $(BUILDDIR)/bin/buildapp.sbcl$(EXE)
 
 ifeq ($(CL),sbcl)
-BUILDAPP   = $(BUILDAPP_SBCL)
-CL_OPTS    = --no-sysinit --no-userinit
+BUILDAPP      = $(BUILDAPP_SBCL)
+BUILDAPP_OPTS = --require sb-posix                      \
+                --require sb-bsd-sockets                \
+                --require sb-rotate-byte
+CL_OPTS    = --noinform --no-sysinit --no-userinit
 else
 BUILDAPP   = $(BUILDAPP_CCL)
 CL_OPTS    = --no-init
 endif
 
-COMPRESS_CORE ?= yes
-
 ifeq ($(CL),sbcl)
+COMPRESS_CORE ?= $(shell $(CL) --noinform \
+                               --quit     \
+                               --eval '(when (member :sb-core-compression cl:*features*) (write-string "yes"))')
+
+endif
+
+# note: on Windows_NT, we never core-compress; see above.
 ifeq ($(COMPRESS_CORE),yes)
 COMPRESS_CORE_OPT = --compress-core
-else
-COMPRESS_CORE_OPT = 
-endif
-endif
-
-ifeq ($(CL),sbcl)
-BUILDAPP_OPTS =          --require sb-posix                      \
-                         --require sb-bsd-sockets                \
-                         --require sb-rotate-byte
 endif
 
 DEBUILD_ROOT = /tmp/pgloader
@@ -69,19 +71,16 @@
 	ronn -roff pgloader.1.md
 
 $(QLDIR)/local-projects/qmynd:
-	git clone https://github.com/qitab/qmynd.git $@
+	git clone --depth 1 https://github.com/qitab/qmynd.git $@
 
 $(QLDIR)/local-projects/cl-ixf:
-	git clone https://github.com/dimitri/cl-ixf.git $@
+	git clone --depth 1 https://github.com/dimitri/cl-ixf.git $@
 
 $(QLDIR)/local-projects/cl-db3:
-	git clone https://github.com/dimitri/cl-db3.git $@
+	git clone --depth 1 https://github.com/dimitri/cl-db3.git $@
 
 $(QLDIR)/local-projects/cl-csv:
-	git clone https://github.com/AccelerationNet/cl-csv.git $@
-
-$(QLDIR)/local-projects/esrap:
-	git clone -b wip-better-errors https://github.com/scymtym/esrap.git $@
+	git clone --depth 1 https://github.com/AccelerationNet/cl-csv.git $@
 
 $(QLDIR)/setup.lisp:
 	mkdir -p $(BUILDDIR)
@@ -96,8 +95,7 @@
 clones: $(QLDIR)/local-projects/cl-ixf \
         $(QLDIR)/local-projects/cl-db3 \
         $(QLDIR)/local-projects/cl-csv \
-        $(QLDIR)/local-projects/qmynd  \
-        $(QLDIR)/local-projects/esrap ;
+        $(QLDIR)/local-projects/qmynd ;
 
 $(LIBS): $(QLDIR)/setup.lisp clones
 	$(CL) $(CL_OPTS) --load $(QLDIR)/setup.lisp                 \
@@ -161,9 +159,34 @@
                        --dynamic-space-size $(DYNSIZE)         \
                        $(COMPRESS_CORE_OPT)                    \
                        --output $(PGLOADER)
-
 test: $(PGLOADER)
 	$(MAKE) PGLOADER=$(realpath $(PGLOADER)) -C test regress
+
+clean-bundle:
+	rm -rf $(BUNDLEDIR)
+
+$(BUNDLEDIR):
+	mkdir -p $@
+	$(CL) $(CL_OPTS) --load $(QLDIR)/setup.lisp                \
+             --eval '(ql:bundle-systems (list "pgloader" "buildapp") :to "$@")' \
+             --eval '(quit)'
+
+$(BUNDLE): $(BUNDLEDIR)
+	cp bundle/README.md $(BUNDLEDIR)
+	sed -e s/%VERSION%/$(VERSION)/ < bundle/Makefile > $(BUNDLEDIR)/Makefile
+	git archive --format=tar --prefix=pgloader-$(VERSION)/ master \
+	     | tar -C $(BUNDLEDIR)/local-projects/ -xf -
+	make QLDIR=$(BUNDLEDIR) clones
+	tar -C build/bundle 		    \
+            --exclude bin   		    \
+            --exclude test/sqlite           \
+            -czf $@ pgloader-bundle-$(VERSION)
+
+bundle: $(BUNDLE)
+
+test-bundle:
+	$(MAKE) -C $(BUNDLEDIR) test
+
 
 deb:
 	# intended for use on a debian system
